package sk.upjs.ics.rozhovor.gui;

import java.util.Collections;
import java.util.List;
import javax.swing.AbstractListModel;
import sk.upjs.ics.rozhovor.User;

public class UserListModel extends AbstractListModel {
    public static UserListModel EMPTY_MODEL = new UserListModel(Collections.EMPTY_LIST);

    private List<User> users;

    public UserListModel(List<User> users) {
        this.users = users;
    }

    public int getSize() {
        return users.size();
    }

    public Object getElementAt(int index) {
        return users.get(index);
    }
    
}
