package sk.upjs.ics.rozhovor.dao;

import java.io.PrintWriter;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.hsqldb.jdbc.JDBCDataSource;
import org.springframework.jdbc.core.JdbcTemplate;

public class JdbcTemplateFactory {

    private static JdbcTemplate JDBC_TEMPLATE;

    static {
        JDBCDataSource dataSource = new JDBCDataSource();
        dataSource.setUser("sa");
        dataSource.setPassword("");
        dataSource.setDatabase("jdbc:hsqldb:hsql://localhost/chat");
        JDBC_TEMPLATE = new JdbcTemplate(dataSource);

    }

    public static JdbcTemplate getJdbcTemplate() {
        return JDBC_TEMPLATE;
    }
}
